# Method: customers.devices.createSigned

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/createSigned#body.aspect)

Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{parent=customers/*}/devices:createSigned`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "encodedDevice": string, "installerId": string } ``` |

| Fields ||
|---|---|
| `encodedDevice` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. JSON Web Token signed using a CPI private key. Payload must be the JSON encoding of the \[Device\]. A base64-encoded string. <br /> |
| `installerId` | `string` Required. Unique installer id (cpiId) from the Certified Professional Installers database. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`